# Interface GssapiAuth

All Known Implementing Classes:
  `StandardGssapiAuthentication, WindowsNativeSspiAuthentication`

public interface GssapiAuth

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(PacketOutputStream writer, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`

## Method Details

### authenticate

void authenticate(PacketOutputStream writer, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`